<script>
import router, {curRoute} from './router';

import { onMount } from 'svelte';

import Tailwind from './utils/Tailwind.svelte';
import Navbar from './components/Navbar.svelte';

onMount(() => {
	curRoute.set(window.location.pathname);

	if(!history.state) {
		window.history.replaceState({path: window.location.pathname}, '', window.location.href);
	}
})

function handlerBackNavigation(event) {
	curRoute.set(event.state.path);
}

</script>
<Tailwind/>

<svelte:window on:popstate={handlerBackNavigation}/>

<Navbar/>

<div class="bg-gray-200 min-h-screen z-0">
	<svelte:component this={router[$curRoute]}/>
</div>